godo.VectorDBs.ListBackups()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.VectorDBs.ListBackups(ctx context.Context, id string) ([]godo.VectorDBBackup, *godo.Response, error)

Description

ListBackups returns the available backups for a vector database. Only backups with status SUCCESS are returned.

This method sends a GET request to /v2/vector-databases/{}/backups.

Parameters

id string required

Returns

[]godo.VectorDBBackup
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.VectorDBBackup

VectorDBBackup represents a single backup of a vector database.

BackupID string

Omitted from JSON when empty. JSON key: backup_id

Status string

Omitted from JSON when empty. JSON key: status

StartedAt time.Time

Omitted from JSON when empty. JSON key: started_at

CompletedAt time.Time

Omitted from JSON when empty. JSON key: completed_at

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.VectorDBs.ListBackups(ctx, "<your-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v2/vector-databases/{}/backups in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.